## antlr 2.7.7

=== debian/changelog ===
antlr (2.7.7-16) unstable; urgency=low

  * Team upload.
  * Removed java-gcj-compat-dev from Depends. It is not needed anymore.
    (Closes: #572164)
  * Corrected java depends to reflect the target version of the
    resulting class files.
  * Bumped Standards-Version to 3.8.4 - no changes required.
  * Added missing Replaces to python-antlr (Closes: #557876)
  * Bumped debhelper compat to 7.
  * Removed empty dir from the antlr package.
  * Converted source to 3.0 (quilt).
  * Registered antlr's documentation with doc-base.
  * Added description to gcc.diff and converted bin__antlr.diff's
    description to a DEP-3 like format.

 -- Niels Thykier <niels@thykier.net>  Tue, 23 Mar 2010 11:16:02 +0100

antlr (2.7.7-15) unstable; urgency=low

  * Use mono-csc as $CSHARPC. (Closes: #571032)
  * Add missing ${cli:Depends} to libantlr2.7-cil.

 -- Torsten Werner <twerner@debian.org>  Sun, 28 Feb 2010 18:51:11 +0100

antlr (2.7.7-14) unstable; urgency=low

  * Add debian/patches/antlr-cs-signing.patch to sign C# dlls
    (Closes: #540737).
  * Add debian/patches/antlr-config.patch to support --cxxflags
    for antlr-config (Closes: #523051).
  * Build-Depend on debhelper (>= 5) and cli-common-dev (>= 0.7).
  * Make sure DLLs in libantlr2.7-cli are not executable.
  * Moved source, libantlr-java and libantlr-java-gcj to section java.
  * Moved libantlr2.7-cil to section cli-mono.
  * Updated Standards-Version to 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Mon, 07 Sep 2009 21:44:27 +0200

antlr (2.7.7-13) unstable; urgency=low

  * Upload to unstable.

 -- Torsten Werner <twerner@debian.org>  Sun, 09 Aug 2009 09:58:42 +0200

antlr (2.7.7-12) experimental; urgency=low

  * Bump standard version to 3.8.2 (no changes)
  * Add a Build-Depends-Indep dependency on maven-repo-helper
  * Add the Maven POM and deploy the jar in the Maven repository.
  * Set architecture to any for libantlr-dev (Closes: #505665)
  * Fix installation of changelog for cantlr and libantlt-dev packages

 -- Ludovic Claude <ludovic.claude@laposte.net>  Mon, 20 Jul 2009 23:06:06 +0100

antlr (2.7.7-11) unstable; urgency=low

  [ Jan Dittberner ]
  * add debian/patches/bin___antlr.diff, add it to debian/patches/series
    and make it replace bin/antlr (fixes lintian warning
    patch-system-but-direct-changes-in-diff)
  * debian/rules: remove unnecessary dh_pysupport for antlr package as
    Python code moved to python-antlr in 2.7.7-10
  * debian/control:
    - update Standards-Version to 3.8.0
    - add ${misc:Depends} to Depends of all binary packages (fixes
      lintian warnings debhelper-but-no-misc-depends)
  * debian/README.source: add information on how to use quilt

  [ Torsten Werner ]
  * Switch to mono-devel (aka transition to Mono 2.0). (Closes: #517560)

 -- Torsten Werner <twerner@debian.org>  Sat, 28 Feb 2009 20:26:45 +0100

antlr (2.7.7-10) unstable; urgency=low

  [ Torsten Werner ]
  * Add myself to Uploaders.
  * Convert changes to Charscanner.hpp to a patch file and improve this patch
    for gcc 4.4 thanks to Martin Michlmayr. (Closes: #505366)

  [ Jan Dittberner ]
  * Fix watch file. (Closes: #511862)
  * Create a separate package python-antlr. (Closes: #511306)
  * Add missing build-dependency java-gcj-compat-dev. (Closes: #511849)

  [ Asheesh Laroia ]
  * Fixed cantlr package to depend on libantlr-java-gcj rather than
    nonexistent antlr-gcj (finishing migration started in 2.7.7-8).
    (Closes: #504050)

 -- Torsten Werner <twerner@debian.org>  Thu, 15 Jan 2009 20:37:44 +0100

antlr (2.7.7-9) unstable; urgency=low

  * libantlr-java{,-gcj}: Fix typos in dependencies.

 -- Matthias Klose <doko@debian.org>  Tue, 21 Oct 2008 01:08:32 +0200

antlr (2.7.7-8) unstable; urgency=low

  * Build a libantlr-java package, without dependency on a java runtime.
    Needed to bootstrap gcj without having a java runtime installed.
  * Rename antlr-gcj to libantlr-java-gcj.
  * Explicitely call javac with -source 1.4.

 -- Matthias Klose <doko@debian.org>  Mon, 20 Oct 2008 08:01:58 +0200

antlr (2.7.7-7) unstable; urgency=low

  [Michael Koch]
  * Updated watch file to match only Antlr v2.

  [Matthias Klose]
  * antlr: Depend on default-jre-headless.
  * Don't directly build-depend on gcj.
  * Build a antlr-gcj package, replace cantlr with a shell script to use it.

 -- Matthias Klose <doko@debian.org>  Sun, 12 Oct 2008 21:47:32 +0200

antlr (2.7.7-6) unstable; urgency=low

  * Made libantlr-cil arch:all, fixed debian/rules to build it only be
    building arch:all stuff and moved all the needed build dependencies to
    Build-Depends-Indep. Closes: 483558.

 -- Michael Koch <konqueror@gmx.de>  Fri, 30 May 2008 21:24:44 +0200

antlr (2.7.7-5) unstable; urgency=low

  * Build-Depends on default-jdk-builddep. Closes: #477843
  * Added Homepage, Vcs-Svn and Vcs-Browser fields.

 -- Michael Koch <konqueror@gmx.de>  Tue, 29 Apr 2008 18:09:47 -0100

antlr (2.7.7-4) unstable; urgency=low

  * Add ${python:Depends} to Depends of antlr. Closes: #468415.

 -- Michael Koch <konqueror@gmx.de>  Thu, 28 Feb 2008 22:06:17 +0100

antlr (2.7.7-3) unstable; urgency=low

  * Enable building of cshart libs. Closes: #369010
    - Add antrl.snk.uue key for signing CLI assemblies.
    - Use dh_installcligac to install assembiles in the GAC.
    - Replace \ with / in nant build file.
    Thanks to Sam Clegg for the patch.

 -- Michael Koch <konqueror@gmx.de>  Sun, 20 Jan 2008 10:10:58 +0100

antlr (2.7.7-2) unstable; urgency=low

  * Removed Build-Depends pn libgcj-dev. Closes: #359727
  * Removed strip call in debian/Makefile.debian. Closes: #436463

 -- Michael Koch <konqueror@gmx.de>  Sun, 06 Jan 2008 00:52:30 +0100

antlr (2.7.7-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards-Version to 3.7.3.

 -- Michael Koch <konqueror@gmx.de>  Fri, 28 Dec 2007 20:59:10 +0100

antlr (2.7.6-10) unstable; urgency=low

  * Applied patch to lib/cpp/antlr/CharScanner.hpp to make it compile with
    gcc-4.3. Closes: #451831.

