=== debian/watch ===
version=3
opts=uversionmangle=s/rc\d// http://www.antlr2.org/download.html /download/antlr-(2\..*)\.tar\.gz debian uupdate
