## antlr 2.7.7%2Bdfsg

=== debian/control ===
Source: antlr
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Torsten Werner <twerner@debian.org>,
Build-Depends:
 debhelper (>= 10),
 default-jdk,
 dh-python,
 python-all-dev,
 python-setuptools,
 python3-all-dev,
 python3-setuptools,
 sharutils,
 maven-repo-helper,
Standards-Version: 4.1.1
Vcs-Git: https://anonscm.debian.org/git/pkg-java/antlr.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/antlr.git
Homepage: http://www.antlr2.org

Package: antlr
Architecture: all
Depends:
 default-jre-headless | java5-runtime-headless | java6-runtime-headless,
 libantlr-java (= ${binary:Version}),
 ${misc:Depends},
Description: language tool for constructing recognizers, compilers etc
 ANTLR, ANother Tool for Language Recognition, (formerly PCCTS) is
 a language tool that provides a framework for constructing recognizers,
 compilers, and translators from grammatical descriptions containing C++
 or Java actions [You can use PCCTS 1.xx to generate C-based parsers].
 .
 Computer language translation has become a common task. While
 compilers and tools for traditional computer languages (such as C
 or Java) are still being built, their number is dwarfed by the thousands
 of mini-languages for which recognizers and translators are being
 developed. Programmers construct translators for database formats,
 graphical data files (e.g., PostScript, AutoCAD), text processing
 files (e.g., HTML, SGML).  ANTLR is designed to handle all of your
 translation tasks.

Package: antlr-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
Description: language tool for constructing recognizers, compilers etc
 This package contains the documentation and examples for antlr.
 ANTLR stands for ANother Tool for Language Recognition,
 (formerly PCCTS). It is  a language tool that provides a framework
 for constructing recognizers, compilers, and translators from
 grammatical descriptions containing C++ or Java actions
 [You can use PCCTS 1.xx to generate C-based parsers].
 .
 See antlr package for a complete description

Package: libantlr-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
Recommends:
 antlr,
Description: language tool for constructing recognizers, compilers etc
 ANTLR, ANother Tool for Language Recognition, (formerly PCCTS) is
 a language tool that provides a framework for constructing recognizers,
 compilers, and translators from grammatical descriptions containing C++
 or Java actions [You can use PCCTS 1.xx to generate C-based parsers].
 .
 These are the static libraries for C++.

Package: libantlr-java
Architecture: all
Depends:
 ${misc:Depends},
Description: language tool for constructing recognizers, compilers etc (java library)
 ANTLR, ANother Tool for Language Recognition, (formerly PCCTS) is
 a language tool that provides a framework for constructing recognizers,
 compilers, and translators from grammatical descriptions containing C++
 or Java actions [You can use PCCTS 1.xx to generate C-based parsers].

Package: python-antlr
Section: python
Architecture: all
Depends:
 python-six,
 ${misc:Depends},
 ${python:Depends},
Description: language tool for constructing recognizers, compilers etc - Python 2.7
 This package contains the Python 2.7 version of antlr. ANTLR stands for
 ANother Tool for Language Recognition, (formerly PCCTS).
 .
 See antlr package for a complete description.

Package: python3-antlr
Section: python
Architecture: all
Depends:
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: language tool for constructing recognizers, compilers etc - Python 3.x
 This package contains the Python 3.x version of antlr. ANTLR stands for
 ANother Tool for Language Recognition, (formerly PCCTS).
 .
 See antlr package for a complete description.
