## antlr 2.7.7+dfsg

=== debian/changelog ===
antlr (2.7.7+dfsg-9.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build of binary-arch only builds.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Nov 2017 11:42:02 +0100

antlr (2.7.7+dfsg-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move maven-repo-helper to Build-Depends. Closes: #879980.

 -- Matthias Klose <doko@debian.org>  Wed, 08 Nov 2017 17:37:34 +0100

antlr (2.7.7+dfsg-9) unstable; urgency=medium

  * Team upload.
  * Add Python 3 support (Closes: #614505):
    - Add a patch, half made with sixer, half by hand, to add support for Py3.
    - Add runtime depends on python-six in python-antlr.
    - Add a python3 package in debian/control.
    - Add build-depends to python3-all-dev in debian/control (do we really need
      the -dev part here?).
    - Insert correct code to install the Py2 & Py3 modules using setup.py, so
      we are packaging the antlr.py AND its corresponding generated egg-info.
  * Ran wrap-and-sort -bast to minimize git diff and have a cleaner
    debian/control. This was already partially done in 2.7.7+dfsg-8, probably
    by hand.
  * Removed ante-dilluvian Replaces:+Breaks:, now useless after a few releases
    of Debian.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Oct 2017 15:53:54 +0000

antlr (2.7.7+dfsg-8) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 9 (Closes: #873971)
  * Build with the DH sequencer
  * Removed the remaining references to cantlr and gcj
  * Removed the no longer used antlr.snk file (C# signing key)
  * Moved the package to Git
  * Standards-Version updated to 4.1.1
  * Switch to debhelper level 10
  * Removed the build dependency on autotools-dev

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 24 Oct 2017 16:43:59 +0200

antlr (2.7.7+dfsg-7) unstable; urgency=medium

  * Team upload.
  * Removed the C# package (Closes: #812637)
  * Rebuild with GCC 5 (Closes: #793215)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 27 Jan 2016 09:27:20 +0100

antlr (2.7.7+dfsg-6) unstable; urgency=medium

  * Team upload.
  * debian/copyright: Added the missing licences for PyANTLR (Closes: #750643)
  * debian/control:
    - Bumped Standards-Version to 3.9.6 (no changes)
    - Use canonical URLs for the Vcs-* fields
  * Switch to debhelper level 9

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 10 Oct 2014 13:24:25 +0200

antlr (2.7.7+dfsg-5) unstable; urgency=low

  * Team upload.
  * Updated the watch file (contributed by Bart Martens)
  * Bumped Standards-Version to 3.9.4 (no changes)
  * debian/copyright: Updated the Format URL
  * debian/copyright: Fixed a typo reported by Lintian
  * debian/copyright: Removed the GPL header

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 25 Apr 2013 10:13:14 +0200

antlr (2.7.7+dfsg-4) unstable; urgency=low

  * Rebuild for mono-transition.  (Closes: #656760)

 -- Niels Thykier <niels@thykier.net>  Thu, 26 Jan 2012 16:05:41 +0100

antlr (2.7.7+dfsg-3) unstable; urgency=low

  * Team upload.
  * Build using dh_python2.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Dec 2011 11:37:20 +0100

antlr (2.7.7+dfsg-2) unstable; urgency=low

  * Team upload.
  * Add build-arch target to debian/rules.

 -- Niels Thykier <niels@thykier.net>  Thu, 10 Nov 2011 22:05:17 +0100

antlr (2.7.7+dfsg-1) unstable; urgency=low

  * Remove 2 non-free files from orig tarball. Thanks to Sam Geeraerts.
    (Closes: #643576)
  * Do no longer build packages cantlr and libantlr-java-gcj.

 -- Torsten Werner <twerner@debian.org>  Thu, 29 Sep 2011 22:29:52 +0200

antlr (2.7.7-17) unstable; urgency=low

  * Team upload.

  [ Niels Thykier ]
  * Bumped Stands-Versions to 3.9.0.
    - Added some missing Breaks.
  * Removed Arnaud Vandyck, John Leuner and Barry Hawkins from
    uploaders. Thanks for your work on this package.
  * Replaced B-D on default-jdk-builddep with gcj-native-helper
    and default-jdk.

  [ tony mancill ]
  * Bumped Stands-Versions to 3.9.2. (no changes)
  * Update debian/copyright format to DEP-5.
  * Remove cantlr Depends on gij. (Closes: #628380)

 -- tony mancill <tmancill@debian.org>  Mon, 30 May 2011 12:46:57 -0700
