=== debian/watch ===
version=3
opts=dversionmangle=s/(\d)[\+\.\-~](?:dfsg|debian|ds|repack)\.?\d*$/$1/ \
http://www.antlr2.org/download.html \
(?:.*/|.*=|)antlr[\-\._](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?
